/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* 
 *
 *
 * Roots
 * -------------------------------------------------------------------------- */
:root {
    --h-space: clamp(20px, 5%, 60px) !important;
    --v-space: min(15%, 120px) !important;

    --h1: clamp(36px, calc(2.25rem + ((1vw - 3.6px) * 3.3333)), 72px);
    --h2: clamp(32px, calc(2rem + ((1vw - 3.6px) * 1.4815)), 48px);
    --h3: clamp(28px, calc(1.75rem + ((1vw - 3.6px) * 1.1111)), 40px);
    --h4: clamp(24px, calc(1.5rem + ((1vw - 3.6px) * 1.1111)), 36px);
    --h5: clamp(20px, calc(1.25rem + ((1vw - 3.6px) * 0.7407)), 28px);
    --h6: clamp(20px, calc(1.25rem + ((1vw - 3.6px) * 0.3704)), 24px);
}

/* 
 *
 *
 * Default
 * -------------------------------------------------------------------------- */
div[data-elementor-type="wp-page"] > div.e-con, div[data-elementor-type="header"] > div.e-con, div[data-elementor-type="footer"] > div.e-con,
section.elementor-top-section {
    padding-left: var(--h-space);
    padding-right: var(--h-space);
}

div[data-elementor-type="wp-page"] > div.e-con.nopadding,
section.elementor-top-section.nopadding {
    padding-left: 0 !important;
    padding-right: 0 !important;
}

.space-top {
    padding-top: var(--v-space) !important;
}

.space-bottom {
    padding-bottom: var(--v-space) !important;
}

.nopadding {
    padding-left: 0 !important;
    padding-right: 0 !important;
}

h1 {
    font-size: var(--h1);
    line-height: 1.2;
    min-height: 0vw;
}

h2 {
    font-size: var(--h2);
    line-height: 1.2;
    min-height: 0vw;
}

h3 {
    font-size: var(--h3) !important;
    line-height: 1.2;
    min-height: 0vw;
}

h4 {
    font-size: var(--h4) !important;
    line-height: 1.2;
    min-height: 0vw;
}

h5 {
    font-size: var(--h5) !important;
    line-height: 1.2;
    min-height: 0vw;
}

h6 {
    font-size: var(--h6) !important;
    line-height: 1.2;
    min-height: 0vw;
}

.h1, .h1 :is(h1, h2, h3, h4, h5, h6) {
    font-size: var(--h1) !important;
    line-height: 1.2;
    min-height: 0vw;
}

.h2, .h2 :is(h1, h2, h3, h4, h5, h6) {
    font-size: var(--h2) !important;
    line-height: 1.2;
    min-height: 0vw;
}

.h3, .h3 :is(h1, h2, h3, h4, h5, h6) {
    font-size: var(--h3) !important;
    line-height: 1.2;
    min-height: 0vw;
}

.h4, .h4 :is(h1, h2, h3, h4, h5, h6) {
    font-size: var(--h4) !important;
    line-height: 1.2;
    min-height: 0vw;
}

.h5, .h5 :is(h1, h2, h3, h4, h5, h6) {
    font-size: var(--h5) !important;
    line-height: 1.2;
    min-height: 0vw;
}

.h6, .h6 :is(h1, h2, h3, h4, h5, h6) {
    font-size: var(--h6) !important;
    line-height: 1.2;
    min-height: 0vw;
}